Subject: Re: SACK scoreboard

From: Andi Kleen <[email-masked]>
Date: Wed, 9 Jan 2008 15:02:48 +0100

> Postponing freeing of the skb has major drawbacks. Some time ago I

Yes, the trick would be to make sure that it also does not tie up
too much memory. e.g. it would need some throttling at least.

Also the fast path of kmem_cache_free() is actually not that
much different from just putting something on a list so perhaps
it would not make that much difference.

-Andi